This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296226 - Insufficient rights to controller cookie file
Insufficient rights to controller cookie file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 11:10 EST by vvs
Modified: 2016-01-23 20:05 EST (History)
4 users (show)

See Also:
Fixed In Version: tor-0.2.7.6-5.fc23 tor-0.2.7.6-5.fc22 tor-0.2.7.6-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 12:52:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2016-01-06 11:10:56 EST
Description of problem:

The controller cookie file has file mode that restricts toranon group members from reading its content. This prevents any application from controlling tor instance.

Version-Release number of selected component (if applicable):

tor-0.2.7.6-4.fc23.i686

How reproducible:

Always

Steps to Reproduce:
1. systemctl start tor
2. ls -ld /run/tor
3. ls -l /run/tor/control.authcookie

Actual results:

There is no access for group toranon

Expected results:

It should have the read right for reading cookie file by members of that group.

Additional info:
Comment 1 Jamie Nguyen 2016-01-07 06:09:57 EST
Thanks for reporting! Builds in progress. Updates to follow.
Comment 2 Fedora Update System 2016-01-07 06:43:23 EST
tor-0.2.7.6-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbef6a3a1a
Comment 3 Fedora Update System 2016-01-07 06:43:34 EST
tor-0.2.7.6-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc3219a8a0
Comment 4 Fedora Update System 2016-01-07 06:43:47 EST
tor-0.2.7.6-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e52cbc8ae
Comment 5 Fedora Update System 2016-01-08 16:24:05 EST
tor-0.2.7.6-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e52cbc8ae
Comment 6 Fedora Update System 2016-01-08 23:26:01 EST
tor-0.2.7.6-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc3219a8a0
Comment 7 Fedora Update System 2016-01-08 23:28:33 EST
tor-0.2.7.6-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bbef6a3a1a
Comment 8 Fedora Update System 2016-01-17 12:52:23 EST
tor-0.2.7.6-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-01-17 13:51:42 EST
tor-0.2.7.6-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-01-23 20:05:46 EST
tor-0.2.7.6-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.